{
	"format_version": "1.19.0",
	"animation_controllers": {
		"controller.animation.cc_fairytales.phoenix.control": {
			"initial_state": "fly",
			"states": {
				"fly": {
					"animations": ["fly", "sfly"],
					"transitions": [
						{"attack": "q.has_target"}
					],
					"blend_transition": 0.3
				},
				"attack": {
					"animations": ["attack", "look_at_target"],
					"transitions": [
						{"fly": "!q.has_target"}
					],
					"blend_transition": 0.3
				}
			}
		}
	}
}